[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ToSingleByteFileSystemEncodedFileName

Convert string to encoding for use in single-byte file system API

## Declaration

Source position: ustringh.inc line 169

`function ToSingleByteFileSystemEncodedFileName(`
`const Str: UnicodeString`
`):RawByteString; function ToSingleByteFileSystemEncodedFileName(`
`const arr: array of WideChar`
`):RawByteString; function ToSingleByteFileSystemEncodedFileName(`
`const Str: RawByteString`
`):RawByteString;`

## Description

ToSingleByteFileSystemEncodedFileName converts the argument (Str or Arr) to a single-byte string, encoded using the codepage used by the single-byte file system API.

This routine is simply an auxiliary routine, which converts the argument to a single-byte string using DefaultFileSystemCodePage as a codepage.

## See also

DefaultFileSystemCodePage |  | Codepage to use for filenames